commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Paul Benedict" <pbened...@apache.org>
Subject Re: [BeanUtils] Breaking compatibility with 1.8.0-BETA
Date Fri, 14 Mar 2008 03:20:51 GMT
How does removing the parameter solve the leaking?

Paul

On Thu, Mar 13, 2008 at 10:15 PM, Niall Pemberton <niall.pemberton@gmail.com>
wrote:

> I've been looking at the memory leaks described in BEANUTILS-291[1]
> and am considering making API changes that will break compatibility
> with the BeanUtils 1.8.0-BETA release to remove one of the issues. The
> changes however are in new Converter implementations added after the
> previous BeanUtils 1.7.0 release and so compatibility with that
> version will not be broken.
>
> Briefly, I want to remove the Class parameter from AbstractConverter's
> constructors (will also impact other implementations that derive from
> it) and make the protected getDefaultType() method abstract.
>
> IMO breaking compatibility with a *Beta* release is OK, but does
> anyone have any objections to doing that?
>
> Niall
>
> [1] https://issues.apache.org/jira/browse/BEANUTILS-291
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
> For additional commands, e-mail: dev-help@commons.apache.org
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message